import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";
import { DeviceProfileInfoComponent } from "./asset-material-manager/device-profile-info/device-profile-info.component";
import { HouseProfileInfoComponent } from "./asset-material-manager/house-profile-info/house-profile-info.component";
import { LandProfileInfoComponent } from "./asset-material-manager/land-profile-info/land-profile-info.component";
import { OtherInfoComponent } from "./asset-material-manager/other-info/other-info.component";

const routes: Routes = [
  { path: "device-profile-info", component: DeviceProfileInfoComponent },
  { path: "house-profile-info", component: HouseProfileInfoComponent },
  { path: "land-profile-info", component: LandProfileInfoComponent },
  { path: "other-info", component: OtherInfoComponent }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class FileRoutingModule {}
